<?php

// Featured Posts Widget.
require get_template_directory() . '/inc/widgets/featured-posts-widget.php';

// Grid Posts Widget.
require get_template_directory() . '/inc/widgets/grid-posts-widget.php';

// Slider Widget.
require get_template_directory() . '/inc/widgets/slider-widget.php';

// Posts Tabs Widget.
require get_template_directory() . '/inc/widgets/posts-tabs-widget.php';

// Posts Carousel Widget.
require get_template_directory() . '/inc/widgets/posts-carousel-widget.php';

// Social Widget.
require get_template_directory() . '/inc/widgets/social-widget.php';

/**
 * Register Widgets
 */
function adore_news_register_widgets() {

	register_widget( 'Adore_News_Featured_Posts_Widget' );

	register_widget( 'Adore_News_Grid_Posts_Widget' );

	register_widget( 'Adore_News_Slider_Widget' );

	register_widget( 'Adore_News_Posts_Tabs_Widget' );

	register_widget( 'Adore_News_Posts_Carousel_Widget' );

	register_widget( 'Adore_News_Social_Widget' );

}
add_action( 'widgets_init', 'adore_news_register_widgets' );
